#
# spec file for package perl-Test2-Plugin-NoWarnings
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test2-Plugin-NoWarnings
Version:        0.06
Release:        1.22
%define cpan_name Test2-Plugin-NoWarnings
Summary:        Fail if tests warn
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test2-Plugin-NoWarnings/
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(Test2::API)
BuildRequires:  perl(Test2::Bundle::Extended)
BuildRequires:  perl(Test2::Event)
BuildRequires:  perl(Test2::Require::Module)
BuildRequires:  perl(Test2::Util::HashBase)
BuildRequires:  perl(Test::More) >= 1.302015
BuildRequires:  perl(parent)
Requires:       perl(Test2::API)
Requires:       perl(Test2::Event)
Requires:       perl(Test2::Util::HashBase)
Requires:       perl(parent)
%{perl_requires}

%description
Loading this plugin causes your tests to fail if there any warnings while
they run. Each warning generates a new failing test and the warning content
is outputted via 'diag'.

This module uses '$SIG{__WARN__}', so if the code you're testing sets this,
then this module will stop working.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md README.md
%license LICENSE

%changelog
* Fri Jun  9 2017 coolo@suse.com
- updated to 0.06
  see /usr/share/doc/packages/perl-Test2-Plugin-NoWarnings/Changes
  0.06     2017-06-04
  - Warnings inside a subtest were not emitted as TAP events, breaking the TAP
    and making for great confusion. This is because of a bug in the core TAP
    formatter - see https://github.com/Test-More/test-more/issues/776 for
    details. Warnings are now emitted as Ok events instead of Warning events.
* Tue May 30 2017 coolo@suse.com
- initial package 0.05
  * created by cpanspec 1.78.08
